#include "xfxeffectdef.h"

XFxEffectDef::XFxEffectDef()
    : XAsset()
    , mName("")
    , mFlags(0)
    , mTotalSize(0)
    , mMsecLoopingLife(0)
    , mElemDefCountLooping(0)
    , mElemDefCountOneShot(0)
    , mElemDefCountEmission(0)
    , mElemDefs()
{
    SetType(ASSET_TYPE_FX);
    SetName("Effect Def");
}

XFxEffectDef::~XFxEffectDef()
{
    
}

void XFxEffectDef::Clear()
{
    
}

void XFxEffectDef::ParseData(QDataStream *aStream)
{
    
}
